package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.ExamPaperStructurePageDto;
import com.qmth.distributed.print.business.bean.marking.CardJpgResult;
import com.qmth.distributed.print.business.bean.marking.ClassMarker;
import com.qmth.distributed.print.business.bean.marking.GroupInfo;
import com.qmth.distributed.print.business.bean.marking.Question;
import com.qmth.distributed.print.business.entity.ExamPaperStructure;
import com.qmth.teachcloud.common.bean.dto.UserRoleDto;
import com.qmth.teachcloud.common.bean.dto.stmms.ExamCloudPaperStructDto;
import com.qmth.teachcloud.common.entity.SysUser;
import com.qmth.teachcloud.common.enums.QuestionType;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 试卷结构 服务类
 * </p>
 *
 * @author xf
 */
public interface ExamPaperStructureService extends IService<ExamPaperStructure> {

    IPage<ExamPaperStructurePageDto> listByPropositionTeacherId(Long semesterId, Long examId, Integer pageNumber, Integer pageSize, Boolean ready);


    /**
     * 解析云阅卷试卷结构
     *
     * @param examCloudPaperStructDtoList 云阅卷试卷结构集合
     * @return 标准题目集合 <OBJECTIVE，list> <SUBJECTIVE,list>
     */
    Map<QuestionType, List<Question>> parseExamCloudPaperStruct(List<ExamCloudPaperStructDto> examCloudPaperStructDtoList);

    long countByPropositionTeacherId(Boolean ready);


}
