package com.qmth.teachcloud.mark.service;

import java.util.List;

import com.qmth.teachcloud.mark.dto.mark.mark.MarkGroupDto;
import com.qmth.teachcloud.mark.dto.mark.mark.MarkSettingDto;
import com.qmth.teachcloud.mark.dto.mark.mark.MarkStatusDto;
import com.qmth.teachcloud.mark.dto.mark.mark.MarkTaskDto;
import com.qmth.teachcloud.mark.entity.*;
import com.qmth.teachcloud.mark.params.MarkResult;

/**
 * <p>
 * 评卷相关 服务类
 */
public interface MarkService {

    int applyCurrentCount(MarkGroup markGroup);

    void releaseByMarkUserGroup(MarkUserGroup markUserGroup);

    int applyCurrentCount(MarkGroup markGroup, Long markUserGroupId);

    void resetMarker(MarkUserGroup markUserGroup);

    void updateMarkedCount(Long examId, String paperNumber, Integer groupNumber);

    boolean rejectMarkTask(MarkTask markTask, Long userId);

    String getGroupKey(MarkGroup markGroup);

    void updateQuality(MarkUserGroup markUserGroup);

    boolean needUpdateQuality(MarkUserGroup marker, int expireMinutes);

    void processArbitrate(MarkResult markResult, Long userId);

    void checkStudentSubjective(Long studentId, long groupCount, long unGroupQuestionCount);

    void buildMarkTask(MarkPaper markPaper);

    void deleteMarkTaskByStudent(MarkStudent student);

    void updateGroupAllCount(Long examId, String paperNumber);

	MarkSettingDto getSetting(Long userId, Long examId, String paperNumber, Integer groupNumber);

	MarkStatusDto getStatus(Long userId, Long examId, String paperNumber, Integer groupNumber);

	List<MarkGroupDto> getGroup(Long userId, Long examId, String paperNumber);

	MarkTaskDto getTask(Long userId, Long examId, String paperNumber);

	List<MarkTaskDto> getHistory(Long userId);

	void clear(Long userId);
}
